Node webkit performance.

  • Hi guys,

    Im working on a project and I just updated to the newest Beta. When I tested in Node Webkit before the update I was getting a solid 60fps, but after the update its hovering around 30-40fps. Ive changed nothing in the game what so ever. Any idea what could be causing this?

    Thanks, Adam

  • Still Cannot Figure this out. My drivers are all up to date.. I have the latest Node Webkit... Wish I knew what the problem is.

  • Node Webkit might have caused it, actually. They have a nasty habit of blacklisting older hardware for WebGL so they don't have to bother with legacy support. Try making a text object and set it's text to "renderer" every tick. (Without the quotes, it's a system expression.) Or you could run it in debug mode and check the renderer from there, but that won't work if you want to test the exported version too.

    If it says Canvas2D instead of WebGL it's probably Node Webkit's blacklist. C2 has a way of ignoring the blacklist that might be broken in the beta so you may need to wait for a full release.

  • Revert back to r187 if you can - the newer version of nw is broken (because it's based on chrome 38).

  • Node Webkit might have caused it, actually. They have a nasty habit of blacklisting older hardware for WebGL so they don't have to bother with legacy support. Try making a text object and set it's text to "renderer" every tick. (Without the quotes, it's a system expression.) Or you could run it in debug mode and check the renderer from there, but that won't work if you want to test the exported version too.

    If it says Canvas2D instead of WebGL it's probably Node Webkit's blacklist. C2 has a way of ignoring the blacklist that might be broken in the beta so you may need to wait for a full release.

    Hey, thanks. I tried that, but it says webgl so I think its working. But thanks again.

  • Revert back to r187 if you can - the newer version of nw is broken (because it's based on chrome 38).

    Yeah, I guess Im going to try that. Hopefully I can open the project haha. Thanks for the help!

  • Remember that nodewebkit is seperate now so you just need to get the old NW installer. Someone posted it in the juttering thread in general.

  • You might find this useful as well if you revert to r187. Until Ashley updates the nw loader, you can download a copy of the old version in this thread at the bottom of the page.

  • Remember that nodewebkit is seperate now so you just need to get the old NW installer. Someone posted it in the juttering thread in general.

    Yup! That was the issue, I guess the new version runs poorly. Thanks so much for the help!

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • You might find this useful as well if you revert to r187. Until Ashley updates the nw loader, you can download a copy of the old version in this thread at the bottom of the page.

    Thanks man! I just went back to 186.2 and it works perfectly again! I might go ahead and move up to 179 and try the old version to see if that works too. Thanks a ton!

  • I can confirm that using 187 with the older version of Node Webkit fixes the issues. Thank you all so much!

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)